package demo.arrays.serverPackage;
public class numbersHelper
	implements org.omg.CORBA.portable.Helper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_array_tc(3,org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3)));
	public numbersHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, int[] s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static int[] extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:arrays/server/numbers:1.0";
	}
	public static int[] read(org.omg.CORBA.portable.InputStream in)
	{
		int[] result = new int[3]
;
		in.read_long_array(result,0,3);
		return result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, int[] s)
	{
		if( s.length != 3)
			throw new org.omg.CORBA.MARSHAL("Incorrect array size");
		out.write_long_array(s,0,3);
	}
}


